This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1271070 - (CVE-2015-7704) CVE-2015-7704 ntp: disabling synchronization via crafted KoD packet
CVE-2015-7704 ntp: disabling synchronization via crafted KoD packet
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20151021,repo...
: Security
Depends On: 1272152 1272153 1272154 1272155 1274165 1283095 1283096 1283536
Blocks: 1260670
  Show dependency treegraph
 
Reported: 2015-10-13 02:28 EDT by Martin Prpič
Modified: 2016-02-20 21:25 EST (History)
8 users (show)

See Also:
Fixed In Version: ntp 4.2.8p4
Doc Type: Bug Fix
Doc Text:
It was discovered that ntpd as a client did not correctly check timestamps in Kiss-of-Death packets. A remote attacker could use this flaw to send a crafted Kiss-of-Death packet to an ntpd client that would increase the client's polling interval value, and effectively disable synchronization with the server.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-26 09:27:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVE-2015-7704 patch (498 bytes, text/plain)
2015-10-13 02:30 EDT, Martin Prpič
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2024443 None None None 2016-01-14 01:29 EST

  None (edit)
Description Martin Prpič 2015-10-13 02:28:38 EDT
When ntpd as an NTP client receives a Kiss-of-Death (KoD) packet from the server to reduce its polling rate, it doesn't check if the originate timestamp in the reply matches the transmit timestamp from its request. An off-path attacker can send a crafted KoD packet to the client, which will increase the client's polling interval to a large value and effectively disable synchronization with the server.

This issue affects ntp versions 4.2.6 and 4.2.8 up to 4.2.8p3.

The attacker can find out to what server the client is currently synchronized by sending it a regular client mode packet and checking the refid field in the reply (the refid is IPv4 address or first four bytes of MD5 sum of IPv6 address).

Upstream bug:

http://bugs.ntp.org/show_bug.cgi?id=2901
Comment 1 Martin Prpič 2015-10-13 02:30 EDT
Created attachment 1082270 [details]
CVE-2015-7704 patch
Comment 2 Martin Prpič 2015-10-13 10:05:22 EDT
Acknowledgements:

Red Hat would like to thank Aanchal Malhotra, Isaac E. Cohen, and Sharon Goldberg of Boston University for reporting this issue.
Comment 3 Tomas Hoger 2015-10-15 10:50:10 EDT
Statement:

This issue did not affect the versions of ntp as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.4, as they do not include support for KoD packets.
Comment 6 Martin Prpič 2015-10-22 03:36:57 EDT
External References:

https://www.cs.bu.edu/~goldbe/NTPattack.html
Comment 7 Martin Prpič 2015-10-22 03:38:45 EDT
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1274165]
Comment 9 Martin Prpič 2015-10-22 05:52:30 EDT
The upstream patch for this issue (included in upstream version 4.2.8p4) is incomplete, as described in:

https://lists.ntp.org/pipermail/pool/2015-October/007631.html
Comment 10 errata-xmlrpc 2015-10-26 17:23:37 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1930 https://rhn.redhat.com/errata/RHSA-2015-1930.html
Comment 11 Fedora Update System 2015-11-02 13:53:08 EST
ntp-4.2.6p5-34.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-11-04 17:49:43 EST
ntp-4.2.6p5-34.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 errata-xmlrpc 2015-11-26 03:46:38 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only
  Red Hat Enterprise Linux 6.6 EUS - Server and Compute Node Only

Via RHSA-2015:2520 https://rhn.redhat.com/errata/RHSA-2015-2520.html
Comment 16 Fedora Update System 2016-02-20 21:25:28 EST
ntp-4.2.6p5-36.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.